PUT
/signing-jobs/{jobId}/revoke
http://signer.{region}.amazonaws.com/signing-jobs/{jobId}/revokeChanges the state of a signing job to REVOKED. This indicates that the signature is no longer valid.
Access Token Required: API Key
Path Parameters
jobIdstringrequired
ID of the signing job to be revoked.
Body Params
reasonstringrequired
The reason for revoking the signing job.
jobOwnerstring
AWS account ID of the job owner.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request PUT \2 --url 'http://signer.{region}.amazonaws.com/signing-jobs/{jobId}/revoke' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}